Bienvenue sur le forum de la ZiGate !

Ici, nous échangeons sur les produits ZiGate (matériellement) et les firmware.

Pour que vous puissiez gagner du temps, je vous conseille de visiter, dans un premier temps, les forums et documentations des plugins et box domotique que vous avez choisi :

Jeedom :

Forum : https://community.jeedom.com/
Plugin ZiGate : https://github.com/Jeedom-Zigate/jeedom-plugin-zigate
Plugin Abeille : https://github.com/KiwiHC16/Abeille + http://kiwihc16.free.fr/

Domoticz :

Forum Francophonehttps://easydomoticz.com/forum/viewforum.php?f=28
Forum Anglophonehttps://www.domoticz.com/forum/viewforum.php?f=68
Développeur: @pipiche38 disponible sur keybase.io en chat

EEdomus :

Forum : https://forum.eedomus.com/

Home-assistant :

Plugin : https://github.com/doudz/homeassistant-zigate
Zigpy : https://www.home-assistant.io/integrations/zha/

Veuillez ou S’enregistrer pour créer des messages et des sujets de discussion.

Problème mise à jour Pizigate V1

Bonjour,

J'ai une Pizigate V1 montée dans un Pi3B+. Tout fonctionnait parfaitement jusqu’à ce mon Alarme Jeedom ne fonctionne plus (Firmware Zigate trop ancien pour le plugin Abeille). Du coup j'ai tenté de faire la mise à jour, et c'est l’échec total, impossible.

Aujourd'hui ma Pizigate reste en led bleu faible.

Le test me remonte :

Verifying /boot/config.txt ...
You have to add enable_uart=1 in /boot/config.txt

Quelqu'un peu m'aider? Pour info je suis novice en SSH donc s'il y a des choses à modifier il faudrait m'indiquer précisément toutes les manip...

Merci d'avance

Bonjour,

vous devez suivre l'un des deux tutos :

Compatibilité Raspberry Pi 3 et Zéro W

Compatibilité Raspberry Pi 4 B+

Fred

Bonjour Fred,

Je l'avais déjà fait lors de l'installation. Je l'ai refait, la led bleu ne s'allume pas "fort".

Lorsque je fait la commande :

sudo nano /boot/cmdline.txt

J'ai ceci :

console=tty1 root=PARTUUID=21bf9052-02 rootfstype=ext4 elevator=deadline fsck.r$

Normal ou il y a un soucis?

Et lorsque je test la Pizigate voici ce que ça donne :

pi@jeedom:~/PiZiGate-tools/test $ sudo ./PiZiGate_test /dev/ttyAMA0
RPI Model searching ...
Warning !!! you must modify /boot/config.txt
Verifying /boot/cmdline.txt ...
+ /boot/cmdline.txt seems to be OK
Verifying /boot/config.txt ...
+ /boot/config.txt seems to be OK
Warning !!! if it's not the case, you have to execute the following commands :
sudo systemctl disable hciuart
sudo usermod -aG gpio pi
then reboot the PI
Searching /dev/ttyAMA0...
+ Port : /dev/ttyAMA0 is not used
Verif GPIOs ...
+ GPIO 0 (RESET) --> OK
+ GPIO 2 (FLASH) --> OK
Config GPIOs ...
+ GPIO 0 (RESET) --> OK
+ GPIO 2 (FLASH) --> OK
Opening : /dev/ttyAMA0 ...
+ /dev/ttyAMA0 opened --> OK
+ Packet 01 02 10 10 02 10 02 10 10 03 sent --> OK
- No packet received - size sent : 11 - error : 11

 

Bonjour,

le problème est sur le fichier /boot/config.txt ou il faut rajouter enable_uart=1 à la fin du fichier comme écrit dans le tuto

Fred

Je l'ai bien pourtant quand je tape la commande :

sudo nano /boot/config.txt

Al a fin du fichier j'ai :

# Désactivation du bluetooth
dtoverlay=pi3-disable-bt

enable_uart=1

Ou bien il n'est pas saisi correctement ?

Sinon quand j'essai de reflasher , à l'étape "make" j'ai cette erreur :

pi@jeedom:~/JennicModuleProgrammer/Build $ make
make: Nothing to be done for 'all'.

Idem avec "sudo make" :

pi@jeedom:~/JennicModuleProgrammer/Build $ sudo make
make: Nothing to be done for 'all'.

et quand je lance "wget https://github.com/fairecasoimeme/ZiGate/releases/download/Release/ZiGate_v30f.bin" j'ai l'erreur :

ZiGate_v30f.bin: Permission denied

Cannot write to ‘ZiGate_v30f.bin’ (Permission denied).

Après je ne sais combien de test et d'essais je suis tombé sur ce post, et en appliquant ce qu'il y avait à l'instant, la mise à jour a fonctionné, incompréhensible...
https://zigate.fr/forum/topic/liste-commandes-maj-firmware-pizigate-v1-raspberry-v3/
Je suis donc maintenant en version 3.1e et j'ai toujours un soucis en lançant le demon Abeille :

ERREUR: Abeille1, Message corrompu (taille payload incorrecte, taille=14B, att=9216B)

J'ai tenter la mise à jour 3.21OPDM depuis Abeille et j'ai ce message d'erreur :

Fichier Ligne Message
http://xxx.xxx.x.xx/core/php/getResource.php?file=core/js/log.class.js&md5=97aae7c356368e6a141e894799c00e88&lang=fr_FR 246 Uncaught ReferenceError: $rawLogCheck is not defined

 

Bonjour Jerome, as tu réussi à résoudre ton soucis avec abeille ?

Bonjour,

Oui, mais je ne sais plus trop comment. Je crois que j'ai vidé le cache et réinstallé Abeille

Translate »